---
layout: custom
title: Improving Monero
---
<div markdown="1" class="text-center container description">
Monero is an open-source, community-driven project. Described below are several ways to support the project.
</div>

<div class="contribute">
   
    <section class="container">
          <div class="row">         
               <!-- full block-->
               <div class="full col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="info-block text-adapt">
                            <div class="row center-xs">
                                <div class="col"><h2>Support the Network</h2></div>
                            </div>
<div class="row start-xs" markdown="1">

### Develop
Monero is primarily written in C++. As it is a decentralized project, anyone is welcome to add or make changes to existing code. Pull requests are merged based on community consensus. See the <a href="https://github.com/monero-project"> repositories</a> and outstanding <a href="https://github.com/monero-project/monero/issues">issues</a>.

### Run a Full Node
Run monerod with port 18080 open. Running a full node ensures maximum privacy when transacting with Monero. It also improves distribution of the blockchain to new users. 

### Mine
Mining ensures the Monero network remains decentralized and secure. In the Monero graphical user interface and command-line interface, background mining may be activated. Additional resources for mining may be viewed [here](https://reddit.com/r/MoneroMining).

</div>
                        </div>
               </div>
               <!-- end full block-->
                                      <!-- full block-->
               <div class="full col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="info-block text-adapt">
                            <div class="row center-xs">
                                <div class="col">
                                    <h2>View the Forum Funding System</h2>
                                </div>
                            </div>
                            <div class="row start-xs">
                                <p>Monero utilizes a <a href="https://forum.getmonero.org">forum funding system</a> whereby projects are proposed for development and community-funded. Funding is held in escrow and remunerated to developers once programming milestones are achieved. Anyone may generate new proposals or fund existing ones.</p>
                            </div>
                           
                        </div>
                </div>
                <!-- full block-->
                <!-- full block-->
               <div class="full col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="info-block text-adapt">
                            <div class="row center-xs">
                                <div class="col">
                                    <h2>Donate</h2>
                                </div>
                            </div>
                            <div class="row start-xs">
                                <p>Ongoing development is supported by donations and <a href="/community/sponsorships/">sponsorships</a>.</p>
                            </div>
                            <div class="row center-xs">
                                <div class="col-lg-6">
                                    <img src="/img/donate-monero.png" alt=""/>
                                </div>
                                <div class="col-lg-6">
                                    <img src="/img/donate-bitcoin.png" alt=""/>
                                </div>
                            </div>
                            <div class="row start-xs">
                               <div class="col-xs-12">
                                <h3>Donating Monero</h3>
                                <p>Donations may be sent to donate.getmonero.org or 44AFFq5kSiGBoZ4NMDwYtN18obc8AemS33DBLWs3H7otXft3XjrpDtQGv7SqSsaBYBb98uNbr2VBBEt7f2wfn3RVGQBEP3A</p>
                               </div>
                            </div>
                            <div class="row start-xs">
                               <div class="col-xs-12">
                                <h3>Donating Bitcoin</h3>
                                <p>Donations may be sent to donate.getmonero.org or 1KTexdemPdxSBcG55heUuTjDRYqbC5ZL8H</p>
                                </div>
                            </div>
                            <div class="row start-xs">
                               <div class="col-xs-12">
                                    <h3>Other</h3>
                                    <p>E-mail <a href="mailto:dev@getmonero.org">dev@getmonero.org</a> for alternative means of donating.</p>
                               </div>
                            </div>
                        </div>
                </div>
                <!-- full block-->

               

              
                
                
           </div>
        </section>
    
</div>
